Beefy Boxes and Bandwidth Generously Provided by pair Networks
The stupid question is the question not asked
 
PerlMonks  

Re^3: I am getting an error when executing an One of the Perl file.

by marto (Cardinal)
on Nov 17, 2022 at 10:08 UTC ( [id://11148212] : note . print w/replies, xml ) Need Help??


in reply to Re^2: I am getting an error when executing an One of the Perl file.
in thread I am getting an error when executing an One of the Perl file.

You don't say which OS, for debian style sudo apt install expect, or whatever package manager your distro provides. How do I post a question effectively?.

Update: For context, your perl script is calling an external program, expect, which you don't have on the system you're running the perl script on. Perhaps a more portable solution would be the cpan module Expect (to install cpan Expect).

Replies are listed 'Best First'.
Re^4: I am getting an error when executing an One of the Perl file.
by Anonymous Monk on Nov 17, 2022 at 10:28 UTC

    For Linux Operating System

      See above for debian, replace the apt line for whatever your distros package manager is. Try reading that link I gave, taking the time to make it easier for people to help you is better for all involved.

      Ask your sysadm to install it for you. Be polite - your sysadm will appreciate that.


      🦛

        If you were a beginner at this sort of thing and ran a perl script which reported an error, you may not know where to begin looking for the problem. We get a lot of questions that start off from a program throwing an error, where the real problem is downstream.